import { extend, mergeData } from '../../vue';
import { NAME_INPUT_GROUP_APPEND } from '../../constants/components';
import { omit } from '../../utils/object';
import { makePropsConfigurable } from '../../utils/props';
import { props as props$1, BInputGroupAddon } from './input-group-addon';

// --- Props ---

const props = makePropsConfigurable(omit(props$1, ['append']), NAME_INPUT_GROUP_APPEND);

// --- Main component ---

// @vue/component
const BInputGroupAppend = /*#__PURE__*/extend({
  name: NAME_INPUT_GROUP_APPEND,
  functional: true,
  props,
  render(h, _ref) {
    let {
      props,
      data,
      children
    } = _ref;
    // Pass all our data down to child, and set `append` to `true`
    return h(BInputGroupAddon, mergeData(data, {
      props: {
        ...props,
        append: true
      }
    }), children);
  }
});

export { BInputGroupAppend, props };
